.list
.unsp
.org 0x4000

_RES_FONT_BIN_SA:
.binfile font.bin

BREAK:
FIQ:
IRQ0:
IRQ1:
IRQ2:
;;IRQ3:
IRQ4:
;;IRQ5:
IRQ6:
IRQ7:
	RETI

_start:
	IRQ OFF
	LD SP, #0x27FF
	LD R1, #0x0000
	LD R2, #var_start
	LD R3, #var_end

	;; Copy all variables to RAM
_startloop:
	LD R4, [R2++]
	ST R4, [R1++]
	CMP R3, R1
	JNE _startloop

	GOTO main

.include "main.asm"

var_start:

.org dataseg
var_end:

.org 0xFFF5
.dw BREAK
.dw FIQ
.dw _start
.dw IRQ0
.dw IRQ1
.dw IRQ2
.dw IRQ3
.dw IRQ4
.dw IRQ5
.dw IRQ6
.dw IRQ7

